- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_orthonormalize
GTX Extensions (Experimental)

## Functions
template<typename T >
detail::tmat3x3< T > | orthonormalize (const detail::tmat3x3< T > &m)
template<typename T >
detail::tvec3< T > | orthonormalize (const detail::tvec3< T > &x, const detail::tvec3< T > &y)

## Detailed Description

Orthonormalize matrices.

<glm/gtx/orthonormalize.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat3x3<T> glm::orthonormalize | ( | const detail::tmat3x3< T > & | m | ) |

Returns the orthonormalized matrix of m.

From GLM_GTX_orthonormalize extension.

detail::tvec3<T> glm::orthonormalize | ( | const detail::tvec3< T > & | x,
|  | const detail::tvec3< T > & | y
| ) |  |

Orthonormalizes x according y.

From GLM_GTX_orthonormalize extension.